# This is config file sourced by build scripts

# Copyright 2003, University of Wisconsin - Madison
#
# This file is part of Wisconsin Commercial Workloads Suite. Please
# contact Mark D. Hill and David A. Wood for permission of distribution.

# determine current root dir of apache workload
dirname=`dirname $0`
curdir=`pwd`
ROOT=$curdir/$dirname/..

# target apache installation directory, this path is also used in simics
# only need to be accessible by solaris system, better be > 5 GB
# need to be absolute
#
# $TARGET/src would be the build dir, should be big enough
# $TARGET/apache would be the installation dir
# $TARGET/zeus would be the installation dir
# $TARGET/surge would be the installation dir
# $TARGET/htdocs would be the web page repository
# $TARGET/apache.image would be the apache volumn image
# $TARGET/zeus.image would be the zeus volumn image
# $TARGET/surge.image would be the surge volumn image
# $TARGET/htdocs.image would be the htdocs volumn image
TARGET=/scratch/static-web-build

# this directory is to put the craff file, must be accessable by both solaris
# and linux system, e.g. a nobackup directory. Better be > 1 GB
# need to be absolute
#
# $OUTDIR/apache.craff is the apache disk file
# $OUTDIR/zeus.craff is the zeus disk file
# $OUTDIR/surge.craff is the surge disk file
# $OUTDIR/htdocs.craff is the web page repository disk file
OUTDIR=/scratch/apache_craffs

# execuables pathes
CRAFF=/p/multifacet/projects/simics/simics-1.8.8/v9-sol8-64/bin/craff

# filenames
APACHE=httpd-2.0.48
ZEUS=Zeus_42_SunOS8-NCA
ZEUS_KEY_FILE=zeus_web_server-key-32045.txt

# server name can not be localhost, zeus doesn't like it
# port(1025-1999 are legal)
SERVER=sarek.network.sim
IP=10.10.0.11
#SERVER=pinot.cs.wisc.edu
#IP=128.105.121.46
PORT=1026

